###

###

###

###

###

###

    MBTOWC(3)           Linux Programmer's Manual           MBTOWC(3)

    NAME
           mbtowc  -  convert a multibyte character to a wide charac-
           ter.

    SYNOPSIS
           #include <stdlib.h>

           int mbtowc(wchar_t *pwc, const char *s, size_t n);

    DESCRIPTION
           The mbtowc() function converts a  multibyte  character  s,
           which  is  no  longer  than n bytes, into a wide character
           and, if pwc is not NULL, stores the wide character in pwc.

    RETURN VALUE
           mbtowc()  returns  the  number  of  bytes in the multibyte
           character or -1 if the multibyte character is not valid.

    CONFORMING TO
           SVID 3, ISO 9899

### SEE ALSO

mblen, mbstowcs, wcstombs, wctomb,

###

    GNU                       March 29, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0